<?php

require_once("constants.php");
require_once("config.php");
require_once("class_appdb.php");
require_once("class_task.php");
require_once("class_weather.php");
require_once("authfunctions.php");

if ( php_sapi_name() != "cli" ) {

    // Start the session
    session_name(SESSNAME);
    session_start();

    // This session variable is TRUE when successfully logged in
    // If set to true, and using default authentication, no login will be required
    if ( !isset($_SESSION['validated']) ) {
       $_SESSION['validated'] = false;
    }

    // Whether to show all tasks, or just incomplete tasks
    if ( !isset($_SESSION['showalltasks']) ) {
        $_SESSION['showalltasks'] = false;
    }
}
